All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class DefaultFilterQualifier

    com.sas.dataselectors.filters.DefaultFilterQualifier

All Implemented Interfaces:
  FilterQualifierInterface

    public class DefaultFilterQualifier

implements FilterQualifierInterface

The default implementation of `FilterQualifierInterface`, this class defines a single qualifier for a filter item. A qualifier represents a refinement to the filter to help specify more precisely the data desired for the resulting query.

Constructor Summary
`DefaultFilterQualifier()` Constructs a new qualifier with the default properties.
`DefaultFilterQualifier(FilterQualifierInterface qualifierToCopy)` Constructs a new qualifier as a duplicate of the supplied qualifier.
`DefaultFilterQualifier(java.lang.String label)` Constructs a new qualifier with the given label.
`DefaultFilterQualifier(java.lang.String label, java.lang.Object userObject)` Constructs a new qualifier with the given properties.

Method Summary
`protected java.lang.Object` | `clone()` Constructs and returns a duplicate of this qualifier.
`boolean` | `equals(java.lang.Object obj)` Compares for equality the given object and this qualifier.
`java.lang.Object` | `getQualifier()` Returns the data for this qualifier.
`java.lang.String` | `getQualifierLabel()` Returns the label for this filter qualifier.
`void` | `setQualifier(java.lang.Object userObject)` Sets the data for this qualifier.
`void` | `setQualifierLabel(java.lang.String label)` Sets the label for this qualifier.
`java.lang.String` | `toString()` Returns a text representation for this qualifier.

Constructor Detail

### DefaultFilterQualifier

    public DefaultFilterQualifier()

  Constructs a new qualifier with the default properties.

### DefaultFilterQualifier

    public DefaultFilterQualifier(java.lang.String label)

  Constructs a new qualifier with the given label.

  Parameters:
    `label` - the label for this qualifier

### DefaultFilterQualifier

    public DefaultFilterQualifier(java.lang.String label,
                                  java.lang.Object userObject)

  Constructs a new qualifier with the given properties.

  Parameters:
    `label` - the label for this qualifier
    `userObject` - a user or application supplied object that may be used when creating a native filter using this qualifier

### DefaultFilterQualifier

    public DefaultFilterQualifier(FilterQualifierInterface qualifierToCopy)

  Constructs a new qualifier as a duplicate of the supplied qualifier.

  Parameters:
    `qualifierToCopy` - the qualifier to copy

Method Detail

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Constructs and returns a duplicate of this qualifier.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a copy of this qualifier
  Throws:
    `java.lang.CloneNotSupportedException` - if cloning is not supported

### getQualifierLabel

    public java.lang.String getQualifierLabel()

  Returns the label for this filter qualifier.

  Specified by:
    `getQualifierLabel` in interface `FilterQualifierInterface`
  Returns:
    the label for this qualifier

### setQualifierLabel

    public void setQualifierLabel(java.lang.String label)

  Sets the label for this qualifier.

  Parameters:
    `label` - the new label

### getQualifier

    public java.lang.Object getQualifier()

  Returns the data for this qualifier. This object may be used when creating a filter in the native model that uses this qualifier.

  Specified by:
    `getQualifier` in interface `FilterQualifierInterface`
  Returns:
    the data for this qualifier

### setQualifier

    public void setQualifier(java.lang.Object userObject)

  Sets the data for this qualifier.

  Parameters:
    `userObject` - the data for this qualifier

### toString

    public java.lang.String toString()

  Returns a text representation for this qualifier.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a text representation for this qualifer

### equals

    public boolean equals(java.lang.Object obj)

  Compares for equality the given object and this qualifier.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to compare with this qualifier
  Returns:
    TRUE if the given object is equal to this qualifier, FALSE otherwise

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.